<template>
  <!-- 修改油价信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="356" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },

  mounted() {
    console.log(this.$route)
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "/api/v1/rms/getOilPriceById/" +
          this.$route.params.priceId
        )
        .then((res) => {
          console.log(res)
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.priceId);
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      console.log(this.form1)
      let RmsOilPrice = {
        priceId:this.form1.priceId,
        priceDate:this.form1.priceDate,
        priceValue:this.form1.priceValue,
        priceOilName:this.form1.priceOilName,
      };
      if(
        RmsOilPrice.priceOilName ==null ||
        RmsOilPrice.priceDate ==null ||
         RmsOilPrice.priceValue ==null
      )this.$message.error("存在空值！");
      this.axios
        .post(
          "/api/v1/rms/updateOilPrice",
          RmsOilPrice
        )
        .then((res) => {
          if (res.data.code == "200") {
            this.$router.go(-1);
          }
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.form-box,
 .button-box{
    display: flex;
    justify-content: center;
    .el-button{
      width: 80px;
      margin-right: 10px;
    }
  }
</style>
